echo off
rem *------------------------------------------------------------*
rem * PTEST   Ver 2.1   (c) Colin J Smith March 1990             *
rem *                                                            *
rem * A program to test the operation of PSTAT.EXE               *
rem *------------------------------------------------------------*
cls

echo Batch test program of PSTAT.EXE (c) CJS '90 Ver 2.1Ĵ
echo check all 4 possible parallel printer ports - LPT1[PRN], LPT2, etcĿ

:port1
pstat 1
if ERRORLEVEL==3 goto noprt1
if ERRORLEVEL==2 goto noport1
if ERRORLEVEL==1 goto prton1
echo            A printer is connected to port LPT1 and is switched OFF           
goto port2
:prton1
echo            A printer is connected to port LPT1 and is switched ON            
goto port2
:noprt1
echo                   A printer is NOT connected to port LPT1                    
goto port2
:noport1
echo                   Port LPT1 is NOT available to the system                   

:port2
pstat 2
if ERRORLEVEL==3 goto noprt2
if ERRORLEVEL==2 goto noport2
if ERRORLEVEL==1 goto prton2
echo            A printer is connected to port LPT2 and is switched OFF           
goto port3
:prton2
echo            A printer is connected to port LPT2 and is switched ON            
goto port3
:noprt2
echo                   A printer is NOT connected to port LPT2                    
goto port3
:noport2
echo                   Port LPT2 is NOT available to the system                   

:port3
pstat 3
if ERRORLEVEL==3 goto noprt3
if ERRORLEVEL==2 goto noport3
if ERRORLEVEL==1 goto prton3
echo            A printer is connected to port LPT3 and is switched OFF           
goto port4
:prton3
echo            A printer is connected to port LPT3 and is switched ON            
goto port4
:noprt3
echo                   A printer is NOT connected to port LPT3                    
goto port4
:noport3
echo                   Port LPT3 is NOT available to the system                   

:port4
pstat 4
if ERRORLEVEL==3 goto noprt4
if ERRORLEVEL==2 goto noport4
if ERRORLEVEL==1 goto prton4
echo            A printer is connected to port LPT4 and is switched OFF           
goto check
:prton4
echo            A printer is connected to port LPT4 and is switched ON            
goto check
:noprt4
echo                   A printer is NOT connected to port LPT4                    
goto check
:noport4
echo                   Port LPT4 is NOT available to the system                   

:check
echo check if there is a printer on port LPT1[PRN] & switched ONĿ
pstat 1
if ERRORLEVEL==3 goto chkcon
if ERRORLEVEL==2 goto chkport
if ERRORLEVEL==1 goto opt1
echo       There is a printer connected to port LPT1 but switch it on please!     
goto exit
:chkcon
echo       There is NO printer connected to port LPT1 so connect one please!      
goto exit
:chkport
echo               What a dud computer! - you haven't got a port LPT1             
goto exit

:opt1
echo                    O.K. - printer connected and switched ON                  
echo check the status of the printer using parallel port LPT1[PRN]Ŀ
pstat 1 1
echo                                Device time out?                              
if ERRORLEVEL==1 goto devyes
echo                                  -[  N O  ]-                                 
goto opt2
:devyes
echo                                  -[ Y E S ]-                                 

:opt2
pstat 1 2
echo                                   I/O error?                                 
if ERRORLEVEL==1 goto ioyes
echo                                  -[  N O  ]- printer ON-LINE                 
goto opt3
:ioyes
echo                                  -[ Y E S ]- printer OFF-LINE                

:opt3
pstat 1 3
echo                                   Selected?                                  
if ERRORLEVEL==1 goto selyes
echo                                  -[  N O  ]-                                 
goto opt4
:selyes
echo                                  -[ Y E S ]-                                 

:opt4
pstat 1 4
echo                                 Out of paper?                                
if ERRORLEVEL==1 goto outpapyes
echo                                  -[  N O  ]-                                 
goto opt5
:outpapyes
echo                                  -[ Y E S ]- please fill with paper          

:opt5
pstat 1 5
echo                                  Acknowledge?                                
if ERRORLEVEL==1 goto ackyes
echo                                  -[  N O  ]-                                 
goto opt6
:ackyes
echo                                  -[ Y E S ]-                                 

:opt6
pstat 1 6
echo                                   Not busy?                                  
if ERRORLEVEL==1 goto busyes
echo                                  -[  N O  ]-                                 
goto exit
:busyes
echo                                  -[ Y E S ]- printer idle                    

:exit
echo 

rem *------------------------------------------------------------*
rem * E N D   O F   P T E S T . B A T                            *
rem *------------------------------------------------------------*
