echo off
rem *------------------------------------------------------------*
rem * CTEST   Ver 2.1   (c) Colin J Smith March 1990             *
rem *                                                            *
rem * A program to test the operation of CSTAT.EXE               *
rem *------------------------------------------------------------*
cls

echo Batch test program of CSTAT.EXE (c) CJS '90 Ver 2.1Ĵ
echo check the 4 possible serial communications ports - COM1 [AUX], etc.Ŀ

:port1
cstat 1
if ERRORLEVEL==2 goto noport1
if ERRORLEVEL==1 goto con1
echo         There is nothing connected to communications port COM1 [AUX]         
goto port2
:con1
echo                 Communications port COM1 [AUX] is being used                 
goto port2
:noport1
echo                   Port COM1 is NOT available to the system                   

:port2
cstat 2
if ERRORLEVEL==2 goto noport2
if ERRORLEVEL==1 goto con2
echo           There is nothing connected to communications port COM2             
goto port3
:con2
echo                    Communications port COM2 is being used                    
goto port3
:noport2
echo                   Port COM2 is NOT available to the system                   

:port3
cstat 3
if ERRORLEVEL==2 goto noport3
if ERRORLEVEL==1 goto con3
echo           There is nothing connected to communications port COM3             
goto port4
:con3
echo                    Communications port COM3 is being used                    
goto port4
:noport3
echo                   Port COM3 is NOT available to the system                   

:port4
cstat 4
if ERRORLEVEL==2 goto noport4
if ERRORLEVEL==1 goto con4
echo           There is nothing connected to communications port COM4             
goto check
:con4
echo                    Communications port COM4 is being used                    
goto check
:noport4
echo                   Port COM4 is NOT available to the system                   

:check
echo check if comms port COM1 [AUX] is being usedĿ
cstat 1
if ERRORLEVEL==2 goto chkport
if ERRORLEVEL==1 goto opt1
echo  There is NOTHING connected to comms port COM1 so connect something please!  
goto opt1
:chkport
echo            What a dud computer! - you haven't got a port COM1                
goto end

:opt1
echo check the status of communications port COM1 [AUX]Ŀ

cstat 1 1
echo                              Delta clear to send                             
if ERRORLEVEL==1 goto delyes
echo                                  -[  N O  ]-                                 
goto opt2
:delyes
echo                                  -[ Y E S ]-                                 

:opt2
cstat 1 2
echo                              Delta data set ready                            
if ERRORLEVEL==1 goto redyes
echo                                  -[  N O  ]-                                 
goto opt3
:redyes
echo                                  -[ Y E S ]-                                 

:opt3
cstat 1 3
echo                            Trailing edge ring detector                       
if ERRORLEVEL==1 goto detyes
echo                                  -[  N O  ]-                                 
goto opt4
:detyes
echo                                  -[ Y E S ]-                                 

:opt4
cstat 1 4
echo                        Delta receive line signal detector                    
if ERRORLEVEL==1 goto sigyes
echo                                  -[  N O  ]-                                 
goto opt5
:sigyes
echo                                  -[ Y E S ]-                                 

:opt5
cstat 1 5
echo                                 Clear to send                                
if ERRORLEVEL==1 goto clryes
echo                                  -[  N O  ]-                                 
goto opt6
:clryes
echo                                  -[ Y E S ]-                                 

:opt6
cstat 1 6
echo                                 Data set ready                               
if ERRORLEVEL==1 goto datyes
echo                                  -[  N O  ]-                                 
goto opt7
:datyes
echo                                  -[ Y E S ]-                                 

:opt7
cstat 1 7
echo                                 Ring indicator                               
if ERRORLEVEL==1 goto riiyes
echo                                  -[  N O  ]-                                 
goto opt8
:riiyes
echo                                  -[ Y E S ]-                                 

:opt8
cstat 1 8
echo                            Received line signal detect                       
if ERRORLEVEL==1 goto rlsyes
echo                                  -[  N O  ]-                                 
goto opt9
:rlsyes
echo                                  -[ Y E S ]-                                 

:opt9
cstat 1 9
echo                                  Data ready                                  
if ERRORLEVEL==1 goto daryes
echo                                  -[  N O  ]-                                 
goto opt10
:daryes
echo                                  -[ Y E S ]-                                 

:opt10
cstat 1 10
echo                                 Overrun error                                
if ERRORLEVEL==1 goto oveyes
echo                                  -[  N O  ]-                                 
goto opt11
:oveyes
echo                                  -[ Y E S ]-                                 

:opt11
cstat 1 11
echo                                  Parity error                                
if ERRORLEVEL==1 goto paeyes
echo                                  -[  N O  ]-                                 
goto opt12
:paeyes
echo                                  -[ Y E S ]-                                 

:opt12
cstat 1 12
echo                                 Framing error                                
if ERRORLEVEL==1 goto freyes
echo                                  -[  N O  ]-                                 
goto opt13
:freyes
echo                                  -[ Y E S ]-                                 

:opt13
cstat 1 13
echo                                 Break detect                                 
if ERRORLEVEL==1 goto brdyes
echo                                  -[  N O  ]-                                 
goto opt14
:brdyes
echo                                  -[ Y E S ]-                                 

:opt14
cstat 1 14
echo                          Transmit holding register empty                     
if ERRORLEVEL==1 goto thryes
echo                                  -[  N O  ]-                                 
goto opt15
:thryes
echo                                  -[ Y E S ]-                                 

:opt15
cstat 1 15
echo                           Transmit shift register empty                      
if ERRORLEVEL==1 goto tsryes
echo                                  -[  N O  ]-                                 
goto opt16
:tsryes
echo                                  -[ Y E S ]-                                 

:opt16
cstat 1 16
echo                                   Time out                                   
if ERRORLEVEL==1 goto tioyes
echo                                  -[  N O  ]-                                 
goto exit
:tioyes
echo                                  -[ Y E S ]-                                 

:exit
echo 

rem *------------------------------------------------------------*
rem * E N D   O F   C T E S T . B A T                            *
rem *------------------------------------------------------------*
