; MUL32 -- a little 32-bit arithmetic, please
; Copyright (C) 1987 Richard V. Robinson

	public  _mul32

	.model	small
	.386

_text	segment word public use16 'code'
	assume  cs:_text

_mul32	proc	near

	pushad			; safety first
	mov     bp,sp           ; bp points at arg stack - 34

	mov	bx,[bp+34]	; get address for answer

	mov     eax,[bp+36]	; multiplicand in eax
	mov     ecx,[bp+40]	; multiplier in ecx
	mul	ecx		; 32-bit multiply

	mov	[bx],eax	; lo order bits into answer
	mov	[bx+4],edx	; hi order bits into answer

	popad			; restore all registers

	ret

_mul32	endp

_text	ends
	end
