/* mul2.c -- attempt a 32-bit multiply on the 386
   Copyright (C) 1987 Richard V. Robinson
*/

#include <stdio.h>
#include <ctype.h>

typedef unsigned long QUAD[ 2 ];

main()
{
	unsigned long x1, x2, atol();
	QUAD answer;
	double fx;
	char buf[ 64 ];

	if( no386() )	/* actually only checks 8086 at this time */
	{
		printf( "High bit of flags found set.\n" );
		printf( "Processor is probably not an 80386.\n" );
		exit( 0 );
	}

	while( ask( "\nEnter a positive integer (max 4294967295):  ", buf )
	 && isdigit( *buf ) )
	{
		x1 = atol( buf );
		ask( "Another positive integer (max 4294967295):  ", buf );
		x2 = atol( buf );

		mul32( answer, x1, x2 );
		fx = (double) x1 * x2;

		printf( "    32-bit integer multiply yields:       " );
		see64( answer );
		printf( "\n" );
		printf( "    Floating point multiply yields:       %.0lf\n", fx );
	}
}

ask( prompt, reply )
char *prompt, *reply;
{
	printf( prompt );
	gets( reply );
	return( *reply );
}
