; SEE64 -- display a 64-bit unsigned integer in decimal form
; Copyright (C) 1987 Richard V. Robinson

	public  _see64

	.model	small
	.386

_text	segment word public use16 'code'
	assume  cs:_text

_see64	proc    near

	pushad			; safety first
	mov     bp,sp           ; bp points at arg stack - 34

	mov	bx,[bp+34]	; address OFFSET of value in BX

	mov	ecx,[bx]
	mov	edx,[bx+4]	; value in EDX:EBX for processing
	mov	ebx,ecx

	sub	cx,cx		; Clear	counter
	mov	esi,10		; divisor in ESI

		; Convert to ASCII, saving on stack backwards
getdigit:
	xchg	eax,edx		; hi order bits in AX
	xor	edx,edx
	or	eax,eax
	jz	lobits
hibits:
	div	esi		; hi order remainder in DX
lobits:				; hi order quotient in BX
	xchg	eax,ebx		; dividend lo order bits in AX
	div	esi		; using hi remainder as dividend hi bits
	xchg	eax,edx		; remainder in AX
	xchg	edx,ebx		; quotient less hi quotient in BX
	add	al,"0"		; Convert to ASCII digit
	push	ax		; on stack
	mov	eax,edx
	or	eax,ebx		; remainder | hi quotient in AX
	loopnz	getdigit	; more quotient? go around again

		; Take off the stack and display forward

	neg	cx		; reverse count

putdigit:
	pop	dx		; Get character
	mov	ah,02h		; Display character
	int	21h		; (courtesy of DOS)
	loop	putdigit

	popad			; restore registers

	ret

_see64	endp

_text	ends
	end
