;=================================================================
;
; Z Z A P U P
;
; ZZAPUP   Version 2.1   Colin J Smith (c) March 1990
;
; A program to make a white noise sound - gradually rising
;
; SYNTAX: None
;
;=================================================================

first:  cli                     ; disable interrupts
again:  mov cx,02ffh

begin:  in al,97                ; input port status byte
        mov b[hold],al          ; save port status byte
        mov al,79
        out 97,al
        mov dx,cx

pause:  dec dx                  ; pause loop
        jnz pause
        mov al,b[hold]          ; restore port status byte
        out 97,al
        dec cx
        jnz begin
        sti                     ; enable interrupts

        mov dl,255              ; select keyboard routine
        mov ah,6
        int 021h                ; call key function
        jz again                ; if no key then loop

        int 020h                ; exit routine

hold:   db 0

;=================================================================
